import { TChats,TLastMessages, TLastOnlineArr } from './types'

export interface IChatsState  {
  total: string,
  limit: string,
  page: string,
  chats: TChats,
  lastMessages: TLastMessages,
  lastOnline: TLastOnlineArr
}

export interface IChatsPayload {
  payload: {
  total: string,
  limit: string,
  page: string,
  chats: TChats,
  lastMessages: TLastMessages,
  lastOnline: TLastOnlineArr
  },
}

export interface IChatsRes  {
  total: string,
  limit: string,
  page: string,
  chats: TChats,
  lastMessages: TLastMessages,
  lastOnline: TLastOnlineArr
}



